Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Messaging_ORBInitializer Class Reference

Messaging ORB initializer. More...

`#include <Messaging_ORBInitializer.h>`

Inheritance diagram for TAO_Messaging_ORBInitializer

[legend]
Collaboration diagram for TAO_Messaging_ORBInitializer:

[legend]
List of all members.

## Public Methods
PortableInterceptor::ORBInitializer Methods
The following methods are required by the PortableInterceptor::ORBInitializer interface.
virtual void | pre_init (PortableInterceptor::ORBInitInfo_ptr info TAO_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | post_init (PortableInterceptor::ORBInitInfo_ptr info TAO_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Private Methods
void | register_policy_factories ( PortableInterceptor::ORBInitInfo_ptr info, CORBA::Environment &ACE_TRY_ENV)
| Register Messaging policy factories.
## Private Attributes
PortableInterceptor::PolicyFactory_var | policy_factory_
| Instance of the Messaging policy factory. More...

## Detailed Description

Messaging ORB initializer.

## Member Function Documentation

void TAO_Messaging_ORBInitializer::post_init ( | PortableInterceptor::ORBInitInfo_ptr info TAO_ENV_ARG_DECL_WITH_DEFAULTS ) throw (CORBA::SystemException)`[virtual]`

void TAO_Messaging_ORBInitializer::pre_init ( | PortableInterceptor::ORBInitInfo_ptr info ) throw (CORBA::SystemException)`[inline, virtual]`

void TAO_Messaging_ORBInitializer::register_policy_factories ( | PortableInterceptor::ORBInitInfo_ptr info,
| CORBA::Environment & ACE_TRY_ENV )`[private]`

| Register Messaging policy factories.

## Member Data Documentation

PortableInterceptor::PolicyFactory_var TAO_Messaging_ORBInitializer::policy_factory_`[private]`

| Instance of the Messaging policy factory. The Messaging policy factory is stateless and reentrant, so share a single instance between all ORBs.

The documentation for this class was generated from the following files:

- Messaging_ORBInitializer.h
- Messaging_ORBInitializer.cpp